aosp-merge: fix build/make path

also squash build make as usually there is nothing usefull, but release version changes

Change-Id: I8a79e87d2b2d79138b4478c2e07ed9410d5d1b85
diff --git a/utils/aosp-forked-list b/utils/aosp-forked-list
index f90b355..3fc149d 100644
--- a/utils/aosp-forked-list
+++ b/utils/aosp-forked-list
@@ -1,5 +1,5 @@
 bionic
-build
+build/make
 build/soong
 development
 external/e2fsprogs
diff --git a/utils/aosp-merge.sh b/utils/aosp-merge.sh
index 7599b82..f2c9eaa 100755
--- a/utils/aosp-merge.sh
+++ b/utils/aosp-merge.sh
@@ -28,6 +28,7 @@
     project=`echo android_${path} | sed -e 's/\//\_/g'`
     if [ "${project}" == "android_build_make" ] ; then
         project="android_build"
+        buildpath="build"
     fi
 
     echo ""
@@ -46,9 +47,15 @@
     fi
 
     repo start ${branch_name} .
+    if [ buildpath="build" ] ; then
+        if ! git remote | grep "aosp" > /dev/null; then
+            git remote add aosp https://android.googlesource.com/platform/$buildpath > /dev/null
+        fi
+    else
 
-    if ! git remote | grep "aosp" > /dev/null; then
-        git remote add aosp https://android.googlesource.com/platform/$path > /dev/null
+        if ! git remote | grep "aosp" > /dev/null; then
+            git remote add aosp https://android.googlesource.com/platform/$path > /dev/null
+        fi
     fi
 
     git fetch --tags aosp
@@ -56,7 +63,11 @@
     #echo "====================================================================="
     #echo " Merging {$ref}"
     #echo "====================================================================="
-    git merge $ref;
+    if [ buildpath="build" ] ; then
+        git merge --squash $ref && git commit -m "Merge $ref";
+    else
+        git merge $ref;
+    fi
 
     cd - > /dev/null